%define module	Locale-Maketext-Lexicon
%define name	perl-%{module}
%define version 0.64
%define release %mkrel 1

Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	MIT
Group:		Development/Perl
Summary:	Perl module to use other catalog formats in Maketext
Url:		http://search.cpan.org/dist/%{module}/
Source:		http://www.cpan.org/modules/by-module/Locale/%{module}-%{version}.tar.bz2
%if %{mdkversion} < 1010
BuildRequires:	perl-devel
%endif
BuildArch:      noarch
BuildRoot:	%{_tmppath}/%{name}-%{version}

%description
Locale::Maketext::Lexicon is a module providing lexicon-handling backends, for
Locale::Maketext to read from other localization formats, such as PO files,
MO files, or from databases via the Tie interface.

%prep
%setup -q -n %{module}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%install
rm -rf %{buildroot}
%makeinstall_std

%check
%__make test

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc Changes README
%{perl_vendorlib}/Locale
%{_bindir}/*
%{_mandir}/*/*



%changelog
* Tue Jun 26 2007 Thierry Vignaud <tvignaud@mandriva.com> 0.64-1mdv2008.0
+ Revision: 44517
- new release


* Fri Jun 16 2006 Guillaume Rousse <guillomovitch@mandriva.org> 0.62-1mdv2007.0
- New version 0.62

* Thu May 04 2006 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 0.61-2mdk
- Fix license

* Tue May 02 2006 Guillaume Rousse <guillomovitch@mandriva.org> 0.61-1mdk
- New release 0.61

* Thu Apr 13 2006 Thierry Vignaud <tvignaud@mandriva.com> 0.60-1mdk
- new release

* Wed Apr 05 2006 Nicolas Lcureuil <neoclust@mandriva.org> 0.56-1mdk
- New release 0.56

* Wed Mar 22 2006 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 0.55-1mdk
- 0.55

* Thu Mar 16 2006 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 0.54-1mdk
- 0.54

* Mon Dec 12 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 0.53-1mdk
- 0.53

* Mon Nov 14 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 0.50-1mdk
- 0.50

* Mon Jun 13 2005 Guillaume Rousse <guillomovitch@mandriva.org> 0.49-2mdk 
- don't ship useless empty dirs
- spec cleanup
- make test in %%check

* Fri Apr 22 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 0.49-1mdk
- 0.49

* Mon Mar 14 2005 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 0.48-1mdk
- 0.48

* Fri Feb 04 2005 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 0.47-1mdk
- 0.47

* Thu Dec 23 2004 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 0.46-1mdk
- New version 0.46
- Drop patch 0, upstreamed (although titi's new option was renamed from
  export_all to allow_empty)

* Mon Dec 20 2004 Guillaume Rousse <guillomovitch@mandrake.org> 0.45-2mdk
- fix buildrequires in a backward compatible way

* Tue Dec 14 2004 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 0.45-1mdk
- 0.45
- Adapt patch 0 to new version

* Mon Nov 15 2004 Guillaume Rousse <guillomovitch@mandrake.org> 0.44-4mdk 
- rebuild

* Thu Oct 14 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.44-3mdk
- actually apply patch 0 ...

* Tue Oct 12 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.44-2mdk
- patch 0: add support for export_all

* Mon Oct 11 2004 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 0.44-1mdk
- New version 0.44 ; remove MANIFEST, add Changes and README in docs

* Mon Aug 30 2004 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 0.42-1mdk
- New version

* Fri Jul 23 2004 Guillaume Rousse <guillomovitch@mandrake.org> 0.38-2mdk 
- rebuild

* Wed Apr 28 2004 Michael Scherer <misc@mandrake.org> 0.38-1mdk
- New release 0.38

* Fri Apr 02 2004 Michael Scherer <misc@mandrake.org> 0.36-1mdk 
- First MandrakeSoft Package

